package me.lensfrex.trailblazer.api.v1.beans.responses;

import com.google.gson.annotations.SerializedName;

public class RegisterResponseData {
    /**
     * 用户注册分派到的uid
     */
    private int uid;

    /**
     * 用户注册分派到的uuid
     */
    private String UUID;

    /**
     * 用户本次注册时得到的token
     */
    @SerializedName("access_token")
    private String accessToken;

    /**
     * 用户此次得到的token的过期时间
     */
    @SerializedName("expired_at")
    private long expiredAt;

    public RegisterResponseData(int uid, String UUID, String accessToken, long expiredAt) {
        this.uid = uid;
        this.UUID = UUID;
        this.accessToken = accessToken;
        this.expiredAt = expiredAt;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public String getUUID() {
        return UUID;
    }

    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public long getExpiredAt() {
        return expiredAt;
    }

    public void setExpiredAt(long expiredAt) {
        this.expiredAt = expiredAt;
    }
}
