package me.lensfrex.trailblazer.api.v1.controllers.auth.token;


import me.lensfrex.trailblazer.api.v1.utils.jwt.JWTManager;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/token")
public class TokenChecker {
    public static final JWTManager jwtManager = JWTManager.getInstance();

    @PostMapping(value = "/check", produces = "application/json")
    public String checkTokenAvailable(@RequestBody String request) {
        return String.valueOf(jwtManager.verifyToken(request));
    }
}
